Arch Remove/ja: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 47: Line 47:
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Press the {{Button|[[Image:Arch_Remove.svg|16px]] [[Arch_Remove|Remove component]]}} button, or {{MenuCommand|Modify → [[Image:Arch_Remove.svg|16px]] Remove component}} from the top menu.
# Press the {{Button|[[Image:Arch_Remove.svg|16px]] [[Arch_Remove|Remove component]]}} button, or {{MenuCommand|Modify → [[Image:Arch_Remove.svg|16px]] Remove component}} from the top menu.

==Scripting==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 53: Line 55:


The Remove tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
The Remove tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:

{{Code|code=
{{Code|code=
removeComponents(objectsList, host=None)
removeComponents(objectsList, host=None)
Line 61: Line 64:


Example:
Example:

{{Code|code=
{{Code|code=
import FreeCAD, Draft, Arch
import FreeCAD, Draft, Arch

Latest revision as of 14:52, 15 June 2024

THIS COMMAND IS PART OF THE INTEGRATED BIM WORKBENCH IN V1.0
This page has been updated for that version.

Removeツール

メニューの場所
Arch -> Remove
ワークベンチ
建築
デフォルトのショートカット
None
バージョンで導入
-
も参照してください
Arch Add

説明

Removeツールは2種類の操作を提供します:

  • Archオブジェクトからサブコンポーネントを取り除きます。例えばArch Addの例のような壁に追加されていた直方体を壁から取り除きます。
  • シェイプベースのオブジェクトを骨組みといった Archコンポーネントから減算します。

The counterpart of this tool is the Arch Add tool.

上の図では壁から直方体を減算しています

使用方法

  • Archオブジェクト内のサブコンポーネントを選択してください。あるいは
  • 減算されるオブジェクト(複数可)を選択してからそれらを減算するArchコンポーネントを選択してください(Archコンポーネントは最後に選択しなければなりません)
  • Removeボタンを押してください

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the Remove component button, or Modify → Remove component from the top menu.

Scripting

スクリプト処理

The Remove tool can be used in macros and from the Python console by using the following function:

removeComponents(objectsList, host=None)
  • Removes the given objects in objectsList from their parents.
  • If a host object is specified, this function will try adding the objects in objectsList as holes to the host.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()